HdfsConstants.StoragePolicySatisfierMode (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: HdfsConstants, enum: StoragePolicySatisfierMode

Package org.apache.hadoop.hdfs.protocol

# Enum Class HdfsConstants.StoragePolicySatisfierMode

java.lang.Object
java.lang.Enum<HdfsConstants.StoragePolicySatisfierMode>
org.apache.hadoop.hdfs.protocol.HdfsConstants.StoragePolicySatisfierMode

All Implemented Interfaces:
  `Serializable`, `Comparable<HdfsConstants.StoragePolicySatisfierMode>`, `Constable`

Enclosing class:
  HdfsConstants

public static enum HdfsConstants.StoragePolicySatisfierMode extends Enum<HdfsConstants.StoragePolicySatisfierMode>
Storage policy satisfier service modes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXTERNAL`
  This mode represents that SPS service is running outside Namenode as an external service and can accept any SPS call request.
  `NONE`
  This mode represents that SPS service is disabled and cannot accept any SPS call request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HdfsConstants.StoragePolicySatisfierMode`
  `fromString(String s)`
  Convert the given String to a StoragePolicySatisfierMode.
  `static HdfsConstants.StoragePolicySatisfierMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HdfsConstants.StoragePolicySatisfierMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXTERNAL

    public static final HdfsConstants.StoragePolicySatisfierMode EXTERNAL
    This mode represents that SPS service is running outside Namenode as an external service and can accept any SPS call request.

  - ### NONE

    public static final HdfsConstants.StoragePolicySatisfierMode NONE
    This mode represents that SPS service is disabled and cannot accept any SPS call request.

- ## Method Details

  - ### values

    public static HdfsConstants.StoragePolicySatisfierMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HdfsConstants.StoragePolicySatisfierMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static HdfsConstants.StoragePolicySatisfierMode fromString(String s)
    Convert the given String to a StoragePolicySatisfierMode.